local STONEGUARDIAN = Bot.Template("STONEGUARDIAN", "KYRMIR_STONEGUARDIAN"); 

STONEGUARDIAN.setLevel(0);
STONEGUARDIAN.setMagicLevel(0);

STONEGUARDIAN.setHealth(800);
STONEGUARDIAN.setRespawnTime(330);

STONEGUARDIAN.setDamage(DAMAGE_EDGE, 140);

STONEGUARDIAN.setProtection(DAMAGE_EDGE, 0);
STONEGUARDIAN.setProtection(DAMAGE_BLUNT, 500);
STONEGUARDIAN.setProtection(DAMAGE_FIRE, 0);
STONEGUARDIAN.setProtection(DAMAGE_MAGIC, 20);
STONEGUARDIAN.setProtection(DAMAGE_POINT, 30);

// Fight system
STONEGUARDIAN.setWarnTime(6);
STONEGUARDIAN.setHitDistance(150);
STONEGUARDIAN.setChaseDistance(1800);
STONEGUARDIAN.setDetectionDistance(1200);
STONEGUARDIAN.setAttackSpeed(2100);

STONEGUARDIAN.setInitiativeFunction(STONEGOLEM_AI);

registerMonsterTemplate("KYRMIR_STONEGUARDIAN", STONEGUARDIAN);

// Drop
registerMonsterReward("KYRMIR_STONEGUARDIAN", Reward.Content(500)
    .addDrop(Reward.Drop("ITMI_GOLD", 250, 250))
);

// Spawnlist
spawnBot(STONEGUARDIAN, -8456, -3384, 32080, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -10069, -3950, 32354, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -9998, -3689, 33911, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -5618, -2761, 32432, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -5621, -2761, 32955, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -5289, -2971, 30375, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -4394, -2971, 30241, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -4531, -2971, 29246, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -5225, -2971, 29330, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -3919, -2971, 30319, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -2733, -3181, 30484, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -4836, -2971, 30202, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -5568, -2971, 34162, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -5131, -2971, 36107, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -5074, -2971, 35935, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -22531, -3119, -23005, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -20932, -3119, -23245, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -21782, -3116, -23820, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -21633, -3125, -25210, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, -22496, -3078, -25039, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 119, -623, -2612, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 1552, -865, -3628, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 1333, -775, 1907, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 207, -778, 1909, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 24303, -3646, -13288, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 25827, -4068, -12909, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 27195, -4122, -12737, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 27973, -3872, -13639, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 26079, -2759, -15199, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 25038, -2987, -14774, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 24622, -2762, -15614, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 27556, -2788, -15271, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 9422, -4341, -7889, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 9283.03, -3973.36, -7392.92, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 9355, -4225, -7591, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 7848, -4488, -8808, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 7451, -4470, -8990, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 7467, -4470, -8804, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 25475.5, -2368.12, -16088.8, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 25901, -2112, -16959, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 26624, -2774, -14917, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 26593, -4030, -13047, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 24927, -3988, -12668, "ADDONWORLD.ZEN");
spawnBot(STONEGUARDIAN, 23901, -3891, -12560, "ADDONWORLD.ZEN");
